#include "modelkey.h"

#include <string>
#include <stdarg.h>
#include <stdio.h>
#include <cstring>

void c(char *buf, ...)
{
    va_list args;
    va_start (args, buf);     /* Initialize the argument args. */

    char arg = va_arg(args, int);

    while( arg ) {
        sprintf(buf, "%s%c", buf, arg);
        arg = va_arg(args, int);
    }

    va_end (args);                  /* Clean up. */
}

const char* getNlpKey() {
    char appId[512] = {};
    c (appId, '3', 'd', '3', '1', '5', 'a', '6', 'b', 0);

    char sercretKey[512] = {};
    c (sercretKey, 'O', 'D', 'M', 'w', 'O', 'G', 'Z', 'l', 'Z', 'm', 'U', 'w', 'Z', 'm', 'M',
       'x', 'Y', 'z', 'E', 'x', 'N', 'T', 'N', 'h', 'M', 'j', 'k', 'y', 'M', 'W', 'M', 'w', 0);

    char apiKey[512] = {};
    c (apiKey, '0', '1', '2', '0', '5', '9', '0', 'e', '5', '8', '0', '5', 'd','a','8', '0',
       '5', '6', '9', 'd', '7', '9', '6', '4', 'b', 'c', '2', '8', '7', '7', '2', '4', 0);

    std::string appIdStr(appId);
    std::string apiKeyStr(apiKey);
    std::string secretKeyStr(sercretKey);

    static const std::string jsonString = "{\"appId\":\"" + appIdStr + "\",\"secretKey\":\"" + secretKeyStr + "\",\"apiKey\":\"" + apiKeyStr + "\"}";
    return jsonString.c_str();
}

const char* getSpeechKey() {
    char appId[512] = {};
    c (appId, '3', 'd', '3', '1', '5', 'a', '6', 'b', 0);

    char sercretKeyContinue[512] = {};
    c (sercretKeyContinue, 'O', 'D', 'M', 'w', 'O', 'G', 'Z', 'l', 'Z', 'm', 'U', 'w', 'Z', 'm', 'M',
       'x', 'Y', 'z', 'E', 'x', 'N', 'T', 'N', 'h', 'M', 'j', 'k', 'y', 'M', 'W', 'M', 'w', 0);

    char apiKeyContinue[512] = {};
    c (apiKeyContinue, '0', '1', '2', '0', '5', '9', '0', 'e', '5', '8', '0', '5', 'd','a','8', '0',
       '5', '6', '9', 'd', '7', '9', '6', '4', 'b', 'c', '2', '8', '7', '7', '2', '4', 0);

    char apiKeyRealTime[512] = {};
    c (apiKeyRealTime, '2', 'd', '5', '0', 'd', '5', '8', 'b', '2', '5', 'c', '9', 'c', '5', 'd', '6',
       'a', '4', '6', 'f', '1', '8', '5', 'b', 'b', '6', 'b', '6', 'b', '9', '8', '0', 0);

    std::string appIdStr(appId);
    std::string sercretKeyContinueStr(sercretKeyContinue);
    std::string apiKeyContinueStr(apiKeyContinue);
    std::string apiKeyRealTimeStr(apiKeyRealTime);

    static const std::string jsonString =
            "{\"appId\":\"" + appIdStr + "\",\"secretKeyContinuous\":\"" + sercretKeyContinueStr + "\","
            "\"apiKeyContinuous\":\"" + apiKeyContinueStr + "\", \"apiKeyRealTime\":\"" + apiKeyRealTimeStr + "\"}";
    return jsonString.c_str();
}

const char* getVisionKey() {
    char appId[512] = {};
    c (appId, '3', 'd', '3', '1', '5', 'a', '6', 'b', 0);

    char sercretKey[512] = {};
    c (sercretKey, 'O', 'D', 'M', 'w', 'O', 'G', 'Z', 'l', 'Z', 'm', 'U', 'w', 'Z', 'm', 'M',
       'x', 'Y', 'z', 'E', 'x', 'N', 'T', 'N', 'h', 'M', 'j', 'k', 'y', 'M', 'W', 'M', 'w', 0);

    char apiKey[512] = {};
    c (apiKey, '0', '1', '2', '0', '5', '9', '0', 'e', '5', '8', '0', '5', 'd','a','8', '0',
       '5', '6', '9', 'd', '7', '9', '6', '4', 'b', 'c', '2', '8', '7', '7', '2', '4', 0);

    std::string appIdStr(appId);
    std::string apiKeyStr(apiKey);
    std::string secretKeyStr(sercretKey);

    static const std::string jsonString = "{\"appId\":\"" + appIdStr + "\",\"secretKey\":\"" + secretKeyStr + "\",\"apiKey\":\"" + apiKeyStr + "\"}";
    return jsonString.c_str();
}
